Page MenuHomePhabricator

Add `abusefilter-view-private` permission to checkuser group on arwiki
Closed, ResolvedPublic

Description

Hello, per discussion.

Please add (abusefilter-view-private) permission to (checkuser) group on Arabic Wikipedia.

Thanks on advance

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2019, 7:08 PM
alanajjar updated the task description. (Show Details)Jun 29 2019, 7:10 PM
MarcoAurelio renamed this task from Add (abusefilter-view-private) permission to checkuser group on arwiki to Add `abusefilter-view-private` permission to checkuser group on arwiki.Jun 29 2019, 7:14 PM
MarcoAurelio triaged this task as Low priority.
MarcoAurelio removed a project: CheckUser.
Urbanecm claimed this task.Jun 29 2019, 7:17 PM
Urbanecm added a subscriber: Urbanecm.

Sure!

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 29 2019, 7:17 PM

Change 519767 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add abusefilter-view-private to checkusers on arwiki

https://gerrit.wikimedia.org/r/519767

@Daimona I don't understand. abusefilter-view-private does allow their holders to view filters marked as private. Sysops can by default create filters and mark them as private. Does that mean that they won't be able to see them anymore afterwards? Only few wikis does have the permission locally activated ([rant]abusefilter config still split between abusefilter.php and InitialiseSettings.php[/rant]).

Hi @MarcoAurelio, according to the docs, "Filters marked as private can only be viewed by users with either the abusefilter-modify or abusefilter-view-private permission.". Anyone who can modify a filter can view private filters, plus anyone holding abusefilter-view-private.

Urbanecm moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.

Scheduled for deployment on July 01, 11:00-12:00 UTC.

@MarcoAurelio technically, no one is assigned abusefilter-view-private on arwiki - see Special:UserGroupRights.

Hi @MarcoAurelio, according to the docs, "Filters marked as private can only be viewed by users with either the abusefilter-modify or abusefilter-view-private permission.". Anyone who can modify a filter can view private filters, plus anyone holding abusefilter-view-private.

Things I miss for reading too quick :-) Thanks!

I'm a bit late but yeah, @Urbanecm is correct. For what concerns viewing private filters, abusefilter-view-private and abusefilter-modify are the same. The latter also allows, as the name suggests, to modify filters. If few wikis assign abusefilter-view-private explicitly is because usually, people who should be able to view private filters should also be able to edit filters. An exception is for instance the abusefilter-helper group.

As for the config being scattered through all those files, I'll reply in T145931.

P.S. Please tag AbuseFilter or CC me for this kind of config changes so that I can take a look. Thanks!

Change 519767 merged by jenkins-bot:
[operations/mediawiki-config@master] Add abusefilter-view-private to checkusers on arwiki

https://gerrit.wikimedia.org/r/519767

Mentioned in SAL (#wikimedia-operations) [2019-07-01T11:10:44Z] <urbanecm@deploy1001> Synchronized wmf-config/abusefilter.php: [[:gerrit:519767|Add abusefilter-view-private to checkusers on arwiki]] (T226899) (duration: 00m 49s)

Urbanecm closed this task as Resolved.Jul 1 2019, 11:12 AM

Deployed.